Package org.springframework.cglib.reflect

# Class MulticastDelegate

java.lang.Object
org.springframework.cglib.reflect.MulticastDelegate

All Implemented Interfaces:
  `Cloneable`

public abstract class MulticastDelegate extends Object implements Cloneable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MulticastDelegate.Generator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Object[]`
`targets`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MulticastDelegate()`

## Method Summary

Modifier and Type
Method
Description
`abstract MulticastDelegate`
`add(Object target)`
`protected MulticastDelegate`
`addHelper(Object target)`
`static MulticastDelegate`
`create(Class iface)`
`List`
`getTargets()`
`abstract MulticastDelegate`
`newInstance()`
`MulticastDelegate`
`remove(Object target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### targets

protected Object[] targets

## Constructor Details

### MulticastDelegate

protected MulticastDelegate()

## Method Details

### getTargets

public List getTargets()

### add

public abstract MulticastDelegate add(Object target)

### addHelper

protected MulticastDelegate addHelper(Object target)

### remove

public MulticastDelegate remove(Object target)

### newInstance

public abstract MulticastDelegate newInstance()

### create

public static MulticastDelegate create(Class iface)